package com.kingdee.eas.hr.project;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.ICoreBillEntryBase;
import com.kingdee.eas.hr.project.app.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.CoreBillEntryBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class WorkHoursReportEntry extends CoreBillEntryBase implements IWorkHoursReportEntry
{
    public WorkHoursReportEntry()
    {
        super();
        registerInterface(IWorkHoursReportEntry.class, this);
    }
    public WorkHoursReportEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IWorkHoursReportEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("22DCD041");
    }
    private WorkHoursReportEntryController getController() throws BOSException
    {
        return (WorkHoursReportEntryController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public WorkHoursReportEntryInfo getWorkHoursReportEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkHoursReportEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public WorkHoursReportEntryInfo getWorkHoursReportEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkHoursReportEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public WorkHoursReportEntryInfo getWorkHoursReportEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkHoursReportEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public WorkHoursReportEntryCollection getWorkHoursReportEntryCollection() throws BOSException
    {
        try {
            return getController().getWorkHoursReportEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public WorkHoursReportEntryCollection getWorkHoursReportEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getWorkHoursReportEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public WorkHoursReportEntryCollection getWorkHoursReportEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getWorkHoursReportEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}